summaryrefslogtreecommitdiffstats
path: root/conf
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2003-07-31 13:00:31 +0000
committerLennart Poettering <lennart@poettering.net>2003-07-31 13:00:31 +0000
commit86add5ad710adde499af6d08fe5479098dadaf29 (patch)
treec0358f501a174b66363c183f0b87540f5509b715 /conf
parentd2fd8fc1f819883d092b715b31d393295a9bc4e2 (diff)
moved to trunk
git-svn-id: file:///home/lennart/svn/public/ifplugd/trunk@26 2bf48fe7-cfc1-0310-909f-d9042e1e0fef
Diffstat (limited to 'conf')
-rw-r--r--conf/Makefile.am32
-rwxr-xr-xconf/ifplugd.action30
-rw-r--r--conf/ifplugd.conf34
-rwxr-xr-xconf/ifplugd.init.in108
4 files changed, 204 insertions, 0 deletions
diff --git a/conf/Makefile.am b/conf/Makefile.am
new file mode 100644
index 0000000..e873a24
--- /dev/null
+++ b/conf/Makefile.am
@@ -0,0 +1,32 @@
+# $Id: Makefile.am 22 2003-06-15 16:36:33Z lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+noinst_DATA = ifplugd.init ifplugd.action ifplugd.conf
+
+EXTRA_DIST = ifplugd.init.in ifplugd.action ifplugd.conf
+
+CLEANFILES = ifplugd.init
+
+ifplugd.init: ifplugd.init.in Makefile
+ sed -e 's,@sysconfdir\@,$(sysconfdir),g' -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod 755 $@
+
+install-data-local: ifplugd.init
+ $(INSTALL) -D -m755 ifplugd.init ${DESTDIR}/${sysconfdir}/init.d/ifplugd
+ $(INSTALL) -D -m755 ifplugd.action ${DESTDIR}/${sysconfdir}/ifplugd/ifplugd.action
+ $(INSTALL) -D -m644 ifplugd.conf ${DESTDIR}/${sysconfdir}/ifplugd/ifplugd.conf
diff --git a/conf/ifplugd.action b/conf/ifplugd.action
new file mode 100755
index 0000000..463fc0b
--- /dev/null
+++ b/conf/ifplugd.action
@@ -0,0 +1,30 @@
+#!/bin/sh
+# $Id: ifplugd.action 1.4 Wed, 23 Oct 2002 20:49:08 +0200 lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+set -e
+
+if [ -z "$1" ] || [ -z "$2" ] ; then
+ echo "Wrong arguments" > /dev/stderr
+ exit 1
+fi
+
+[ "$2" = "up" ] && exec /sbin/ifup $1
+[ "$2" = "down" ] && exec /sbin/ifdown $1
+
+exit 1
diff --git a/conf/ifplugd.conf b/conf/ifplugd.conf
new file mode 100644
index 0000000..0a48c37
--- /dev/null
+++ b/conf/ifplugd.conf
@@ -0,0 +1,34 @@
+# -*-sh-*-
+# $Id: ifplugd.conf 1.5 Wed, 13 Nov 2002 22:37:54 +0100 lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+# ifplugd configuration file
+
+# Specify the interfaces to control here, separated by spaces.
+# Ifplugd processes will be started for each of these interfaces
+# when the ifplugd init script is called with the "start" argument.
+# You may use the magic string "auto" to make the init script
+# start or stop ifplugd processes for ALL eth and wlan interfaces
+# that are available according to /proc/net/dev. Note that the
+# list of interfaces appearing in /proc/net/dev may depend on
+# which kernel modules you have loaded.
+INTERFACES="eth0"
+
+# Additional parameters for ifplugd.
+# (Run "ifplugd -h" for further information.)
+ARGS="-f -u0 -d10 -w -I"
diff --git a/conf/ifplugd.init.in b/conf/ifplugd.init.in
new file mode 100755
index 0000000..89ebdc6
--- /dev/null
+++ b/conf/ifplugd.init.in
@@ -0,0 +1,108 @@
+#!/bin/sh
+# $Id: ifplugd.init 1.6 Sat, 01 Feb 2003 03:00:07 +0100 lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+# ifplugd Brings up/down network automatically
+#
+# chkconfig: 2345 11 89
+# description: Brings networks interfaces up and down automatically when \
+# the cable is removed / inserted
+#
+# processname: @sbindir@/ifplugd
+# config: @sysconfdir@/ifplugd/ifplugd.conf
+
+### BEGIN INIT INFO
+# Provides: ifplugd
+# Required-Start: $network
+# X-UnitedLinux-Should-Start:
+# Required-Stop: $network
+# X-UnitedLinux-Should-Stop: $
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: ifplugd daemon providing
+# Description: Start ifplugd to allow XY and provide YZ
+# continued on second line by '#<TAB>'
+# should contain enough info for the runlevel editor
+# to give admin some idea what this service does and
+# what it's needed for ...
+# (The Short-Description should already be a good hint.)
+### END INIT INFO
+
+CFG=@sysconfdir@/ifplugd/ifplugd.conf
+
+IFPLUGD=@sbindir@/ifplugd
+test -x $IFPLUGD || exit 0
+
+if [ `id -u` != "0" ] && [ "$1" = "start" -o "$1" = "stop" ] ; then
+ echo "You must be root to start, stop or restart ifplugd."
+ exit 1
+fi
+
+[ -f $CFG ] && . $CFG
+
+[ "$INTERFACES" = "auto" ] && INTERFACES=`cat /proc/net/dev | awk '{ print $1 }' | egrep '^(eth|wlan)' | cut -d: -f1`
+
+case "$1" in
+ start)
+ echo -n "Starting ethernet plugging daemon:"
+ for IF in $INTERFACES ; do
+ $IFPLUGD -i $IF $ARGS
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping ethernet plugging daemon:"
+ for IF in $INTERFACES ; do
+ $IFPLUGD -k -i $IF
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ status)
+ for IF in $INTERFACES ; do
+ $IFPLUGD -c -i $IF
+ done
+ ;;
+ suspend)
+ echo -n "Suspending ethernet plugging daemon:"
+ for IF in $INTERFACES ; do
+ $IFPLUGD -S -i $IF
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ resume)
+ echo -n "Resuming ethernet plugging daemon:"
+ for IF in $INTERFACES ; do
+ $IFPLUGD -R -i $IF
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ force-reload|restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload|status|suspend|resume}"
+ exit 1
+esac
+
+exit 0